Bug 443726 - fails to install for missing dependancy
fails to install for missing dependancy
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 21:39 EDT by morgan read
Modified: 2015-01-04 18:31 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 12:48:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2008-04-22 21:39:36 EDT
Description of problem:
yum update fails for missing dependency on fedora-ds.  missing dependency is
fedora-admin-console (which is installed).

Version-Release number of selected component (if applicable):
[morgan@morgansmachine ~]$ rpm -q fedora-admin-console.noarch
fedora-admin-console-1.1.0-4.fc6
[morgan@morgansmachine ~]$ rpm -q fedora-ds
fedora-ds-1.1.0-3.fc8

How reproducible:
Always

Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:
Failed dependency

Expected results:
No failures

Additional info:
Output of:
yum update; yum list fedora-admin-console; rpm -q fedora-admin-console.noarch;
rpm -q fedora-ds

[morgan@morgansmachine ~]$ sudo yum update
Loading "protect-packages" plugin
Loading "presto" plugin
Loading "fastestmirror" plugin
Loading "changelog" plugin
Setting up and reading Presto delta metadata
adobe                     100% |=========================|  951 B    00:00     
No Presto metadata available for adobe
dirsrv-noarch             100% |=========================|  951 B    00:00     
No Presto metadata available for dirsrv-noarch
livna                     100% |=========================| 2.1 kB    00:00     
No Presto metadata available for livna
idmcommon-noarch          100% |=========================|  951 B    00:00     
No Presto metadata available for idmcommon-noarch
idmcommon                 100% |=========================|  951 B    00:00     
No Presto metadata available for idmcommon
dribble                   100% |=========================|  951 B    00:00     
No Presto metadata available for dribble
dirsrv                    100% |=========================|  951 B    00:00     
No Presto metadata available for dirsrv
updates                   100% |=========================| 2.3 kB    00:00     
No Presto metadata available for updates
fedora                    100% |=========================| 2.1 kB    00:00     
No Presto metadata available for fedora
Loading mirror speeds from cached hostfile
 * adobe: linuxdownload.adobe.com
 * dirsrv-noarch: directory.fedoraproject.org
 * livna: rpm.livna.org
 * idmcommon-noarch: directory.fedoraproject.org
 * idmcommon: directory.fedoraproject.org
 * dribble: dribble.org.uk
 * dirsrv: directory.fedoraproject.org
 * updates: mirror.optus.net
 * fedora: mirror.optus.net
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package fedora-ds-admin.i386 0:1.1.4-1.fc8 set to be updated
---> Package fedora-ds-console.noarch 0:1.1.1-2.fc6 set to be updated
--> Processing Dependency: fedora-admin-console for package: fedora-ds
---> Package idm-console-framework.noarch 0:1.1.1-3.fc8 set to be updated
---> Package fedora-ds-admin-console.noarch 0:1.1.1-2.fc6 set to be updated
---> Package adminutil.i386 0:1.1.6-1.fc8 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: fedora-admin-console is needed by package fedora-ds
[morgan@morgansmachine ~]$ yum list fedora-admin-console
Loading "protect-packages" plugin
Loading "presto" plugin
Loading "fastestmirror" plugin
Loading "changelog" plugin
Setting up and reading Presto delta metadata
No Presto metadata available for adobe
No Presto metadata available for dirsrv-noarch
No Presto metadata available for livna
No Presto metadata available for idmcommon-noarch
No Presto metadata available for idmcommon
No Presto metadata available for dribble
No Presto metadata available for dirsrv
No Presto metadata available for updates
No Presto metadata available for fedora
Loading mirror speeds from cached hostfile
 * adobe: linuxdownload.adobe.com
 * dirsrv-noarch: directory.fedoraproject.org
 * livna: rpm.livna.org
 * idmcommon-noarch: directory.fedoraproject.org
 * idmcommon: directory.fedoraproject.org
 * dribble: dribble.org.uk
 * dirsrv: directory.fedoraproject.org
 * updates: mirror.optus.net
 * fedora: mirror.optus.net
Installed Packages
fedora-admin-console.noarch              1.1.0-4.fc6            installed       
[morgan@morgansmachine ~]$ rpm -q fedora-admin-console.noarch
fedora-admin-console-1.1.0-4.fc6
[morgan@morgansmachine ~]$ rpm -q fedora-ds
fedora-ds-1.1.0-3.fc8
[morgan@morgansmachine ~]$
Comment 1 Fedora Update System 2008-04-23 12:29:10 EDT
fedora-ds-1.1.1-2.fc8 has been submitted as an update for Fedora 8
Comment 2 Rich Megginson 2008-04-23 12:35:21 EDT
Sorry about that.  fedora-admin-console has been renamed to
fedora-ds-admin-console.  The fedora-ds wrapper package was not updated with the
new name.  It's now going through the Fedora 8 updates.  If you don't want to
wait for the package to get approved and pushed out to the mirrors, you can grab
the latest one from here -
http://koji.fedoraproject.org/packages/fedora-ds/1.1.1/2.fc8/

Step 1) yum erase fedora-ds
Step 2) yum upgrade fedora-ds-admin-console - if that fails - yum install
fedora-ds-admin-console
Step 3) install fedora-ds from the above link

note that the fedora-ds package doesn't really contain anything, just
dependencies on other commonly used packages.
Comment 3 Rich Megginson 2008-04-29 12:48:32 EDT
This has been pushed:
Package: fedora-ds
NVR: fedora-ds-1.1.1-2.fc8
User: lmacken
Status: complete
Tag Operation: moved
From Tag: dist-f8-updates-candidate
Into Tag: dist-f8-updates

fedora-ds-1.1.1-2.fc8 successfully moved from dist-f8-updates-candidate into
dist-f8-updates by lmacken

Should show up in the mirrors any time now.
Comment 4 Fedora Update System 2008-04-29 16:49:00 EDT
fedora-ds-1.1.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.